Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047027
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Selfcheckoutmajoralways2021-06-08 16:312021-06-17 09:59
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047027: in SCO, incremental refresh is not executed when the terminal is not being used

Descriptionwhen the terminal is in SCO mode, and it is not used for a long time, the incremental refresh is executed in background but the data is not refreshed.

And now, there are two possibilities:
1. in 19Q3, when a ticket is completed the data is refreshed in SCO
2. in live, you need refresh the terminal to refresh the data
Steps To Reproduce1. in BackOffice, configure:
. Time to Incrementally Refresh Masterdata (in minutes): 2
. Time to force masterdata refresh on inactivity (in minutes): 1

2. in SCO:
. do login
. add product Avalanche: price 155.5

3. in BO
. change the price of Avalance to 150

4. in SCO:
. wait 3 minutes
. add product Avalanche: price: 155.5
. complete the ticket

two possibilities:
in 19Q3:
- add product avalanche: price: 150

in live:
- add product avalanche: price 155.5

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0129542)
hgbot (developer)
2021-06-16 08:11

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout/-/merge_requests/19 [^]
(0129603)
hgbot (developer)
2021-06-17 09:59

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout [^]
Changeset: 738ffc0f7698f23c36ad0eb10fe8c0dea58b78a8
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-06-16T11:39:47+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout/-/commit/738ffc0f7698f23c36ad0eb10fe8c0dea58b78a8 [^]

Fixed ISSUE-47027: Incremental Refresh should be done when completing the ticket

---
M web/org.openbravo.retail.selfcheckout/source/utils/scoUtils.js
M web/org.openbravo.retail.selfcheckout/source/view/scoView.js
---
(0129604)
hgbot (developer)
2021-06-17 09:59

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout/-/merge_requests/19 [^]

- Issue History
Date Modified Username Field Change
2021-06-08 16:31 malsasua New Issue
2021-06-08 16:31 malsasua Assigned To => Retail
2021-06-08 16:31 malsasua Triggers an Emergency Pack => No
2021-06-10 06:16 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-06-14 03:46 ranjith_qualiantech_com Status new => scheduled
2021-06-16 08:11 hgbot Note Added: 0129542
2021-06-17 09:59 hgbot Resolution open => fixed
2021-06-17 09:59 hgbot Status scheduled => closed
2021-06-17 09:59 hgbot Note Added: 0129603
2021-06-17 09:59 hgbot Note Added: 0129604


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker